Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.xwing
Class XWingPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.xwing.XWingKeyParameters
              org.bouncycastle.pqc.crypto.xwing.XWingPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class XWingPrivateKeyParameters
extends XWingKeyParameters

Constructor Summary
`XWingPrivateKeyParameters(byte[] seed)`
`XWingPrivateKeyParameters(byte[] seed, MLKEMPrivateKeyParameters kyberPrivateKey, X25519PrivateKeyParameters xdhPrivateKey, MLKEMPublicKeyParameters kyberPublicKey, X25519PublicKeyParameters xdhPublicKey)`
`XWingPrivateKeyParameters(byte[] seed, MLKEMPrivateKeyParameters kyberPrivateKey, X25519PrivateKeyParameters xdhPrivateKey, MLKEMPublicKeyParameters kyberPublicKey, X25519PublicKeyParameters xdhPublicKey)` Deprecated. use the constructor taking org.bouncycastle.crypto.params.MLKEMKeyPublicKeyParameters

Method Summary
`byte[]` | `getEncoded()`
`byte[]` | `getSeed()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWingPrivateKeyParameters

    public XWingPrivateKeyParameters(byte[] seed,
                                     MLKEMPrivateKeyParameters kyberPrivateKey,
                                     X25519PrivateKeyParameters xdhPrivateKey,
                                     MLKEMPublicKeyParameters kyberPublicKey,
                                     X25519PublicKeyParameters xdhPublicKey)

### XWingPrivateKeyParameters

    public XWingPrivateKeyParameters(byte[] seed,
                                     MLKEMPrivateKeyParameters kyberPrivateKey,
                                     X25519PrivateKeyParameters xdhPrivateKey,
                                     MLKEMPublicKeyParameters kyberPublicKey,
                                     X25519PublicKeyParameters xdhPublicKey)

  Deprecated. use the constructor taking org.bouncycastle.crypto.params.MLKEMKeyPublicKeyParameters

### XWingPrivateKeyParameters

    public XWingPrivateKeyParameters(byte[] seed)

Method Detail

### getSeed

    public byte[] getSeed()

### getEncoded

    public byte[] getEncoded()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD